/*
 * Copyright 2010-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 */

const VERSION_REGEX = /^(\d+)\.(\d+)/;
const MAJOR_VERSION_REGEX_INDEX = 1;
const MINOR_VERSION_REGEX_INDEX = 2;

exports.parseVersion = function parseVersion(versionString) {
    const match = VERSION_REGEX.exec(versionString);
    const major = Number(match[MAJOR_VERSION_REGEX_INDEX]);
    const minor = Number(match[MINOR_VERSION_REGEX_INDEX]);
    return [major, minor];
};
